module Config.Helpers.Format exposing (..)

import Config.Style.Colour.Types exposing (..)
import Element exposing (..)
import Element.Border as D
import Element.Font as F


paragraphSpacing : Attribute msg
paragraphSpacing =
    spacing 0


headerFontSizeBig : Attr decorative msg
headerFontSizeBig =
    F.size 23


headerFontSizeMedium : Attr decorative msg
headerFontSizeMedium =
    F.size 20


headerFontSizeSmall : Attr decorative msg
headerFontSizeSmall =
    F.size 18


paragraphFontSize : Attr decorative msg
paragraphFontSize =
    F.size 18


smallTextFontSize : Attr decorative msg
smallTextFontSize =
    F.size 16


renderCodeLine : SyntaxColors -> List (Element msg) -> Element msg
renderCodeLine colors elements =
    paragraph
        [ F.color colors.text
        , F.alignLeft
        , F.family
            [ F.monospace ]
        ]
        elements
